function str=idmspop(nu,ny)
%IDMSPOP Returns the model structure popup string.
%       The string depends on the number of inputs and outputs

%	L. Ljung 9-27-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.4 $  $Date: 1995/05/10 21:36:59 $

if nu>0 
   if ny==1
      str=['ARX: [na nb nk]|ARMAX: [na nb nc nk]|',...
               'OE: [nb nf nk]|BJ: [nb nc nd nf nk]|',...
               'State Space: (n)|By Initial Model'];
   else
       str=['ARX: [na nb nk]|(ARMAX)|',...
               '(OE)|(BJ)|',...
               'State Space: (n)|By Initial Model'];
   end

else
   if ny==1
        str=['AR: [na]|ARMA: [na nc]|',...
               '(OE)|(BJ)|',...
               'State Space: (n)|By Initial Model'];
   else
        str=['AR: [na]|(ARMA)|',...
               '(OE)|(BJ)|',...
               'State Space: (n)|By Initial Model'];
   end
end
